Truckit Apis

Webhooks

Endpoint:https://dev-api-au.truckit.net

Register a new webhook for receiving notifications.

POST
https://dev-api-au.truckit.net
/webhook/create

Register a new webhook for receiving notifications.Headers

  • Authorizationstring · required
  • x-customer-idstring · required
  • x-customer-secretstring · required
  • x-api-keystring · required

Register a new webhook for receiving notifications.Request Body

  • endpointstring · url · required
    Example: https://example.com/your-webhook-endpoint
  • entity_typestring · required
    Example: freight_listing

Register a new webhook for receiving notifications.Responses

  • webhook_idstring · uuid
    Example: f2040c8e-03b5-452f-b93c-02aefd887302
  • statusstring
    Example: active
  • signaturestring
    Example: 2183e73a8e84d4c6a05b37663b6865a86e937e5ab1d102b38a8274eaae139f57
  • updated_atstring · date
    Example: 2024-11-28

Update an existing webhook by ID.

PATCH
https://dev-api-au.truckit.net
/webhook/update/{id}

Update an existing webhook by ID.path Parameters

  • idstring · uuid · required

Update an existing webhook by ID.Headers

  • Authorizationstring · required
  • x-customer-idstring · required
  • x-customer-secretstring · required
  • x-api-keystring · required

Update an existing webhook by ID.Request Body

  • endpointstring · url
    Example: https://new-example.com/webhook
  • entity_typestring
    Example: freight_listing

Update an existing webhook by ID.Responses

  • statusstring
    Example: success
  • messagestring
    Example: Webhook updated successfully
  • dataobject

Delete an existing webhook by ID.

DELETE
https://dev-api-au.truckit.net
/webhook/delete/{id}

Delete an existing webhook by ID.path Parameters

  • idstring · uuid · required

Delete an existing webhook by ID.Headers

  • Authorizationstring · required
  • x-customer-idstring · required
  • x-customer-secretstring · required
  • x-api-keystring · required

Delete an existing webhook by ID.Responses

  • statusstring
    Example: success
  • messagestring
    Example: Webhook deleted successfully